.event-queue {
    --op-col-width: 10em;
    --delay-col-width: 7.5em;

    width: 100%;
    background: var(--bg-shade-3);
    color: white;
    font-family: monospace;
    font-size: .8em;
    border-spacing: 0;
    overflow-y: auto;
}

.event-queue, .event-queue tbody {
    overflow-x: hidden;
}

.event-queue th, .event-queue td {
    --border: 1px solid rgba(255, 255, 255, .25);
    border-bottom: var(--border);
    padding: .5rem .6rem;
    margin: 0;
}

/*.event-queue th:not(:last-child), */.event-queue td:not(:last-child) {
    border-right: var(--border);
}

.event-queue tr:last-child td {
    border-bottom: none;
}

.event-queue th {
    text-align: left;
    color: rgba(255, 255, 255, .7);
    font-weight: 400;
    font-size: .8em;
    /* border-bottom-width: 2px; */
}

.event-queue tbody tr:hover {
    background: #444;
}

.event .op {
    width: var(--op-col-width);
    background: #222;
    /* box-shadow: 0 0 2px rgba(0, 0, 0, .5);
    border-right: none!important; */
}

.event .args {
    width: calc(100% - var(--op-col-width) - var(--delay-col-width));
    padding: 0;
}

.event .args ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.event .args .arg {
    display: inline-block;
    padding: .5rem;
    border-right: var(--border);
}

.event .args .arg .number {
    color: lime;
}

.event .args .arg .string {
    color: orange;
}

.event .args .arg .boolean {
    color: deepskyblue;
}

.event .delay {
    width: var(--delay-col-width);
    color: violet;
}
